src/Entity/Bet.php
<?php

namespace App\Entity;

use App\Repository\BetRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;


/**
 * @ORM\Table("bet")
 * @ORM\Entity(repositoryClass=BetRepository::class)
 */
class Bet
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=45)
     * @Assert\NotNull()
     * @Assert\NotBlank()
     */
    private $name;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $isPublic = false;

    /**
     * @ORM\Column(type="string", length=45, nullable=true)
     */
    private $status = "EN COURS";

    /**
     * @ORM\Column(type="decimal", precision=5, scale=2, nullable=true)
     */
    private $totalStake = 0;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $isSponsored = false;

    /**
     * @ORM\ManyToOne(targetEntity=Event::class)
     * @ORM\JoinColumn(nullable=true)
     */
    public $event_idEvent;

    /**
     * @ORM\ManyToOne(targetEntity=User::class)
     * @ORM\JoinColumn(name="user_id_user_creator_id", nullable=false, onDelete="CASCADE")
     */
    public $user_idUser_creator;

    /**
     * @ORM\OneToOne(targetEntity=BetChoice::class, cascade={"persist", "remove"})
     * @ORM\JoinColumn(nullable=true)
     */
    private $winningChoice;

    /**
     * @var Collection<int, BetChoice>
     * @ORM\OneToMany(targetEntity=BetChoice::class, mappedBy="bet", orphanRemoval=true, cascade={"persist", "remove"})
     * @ORM\JoinColumn(name="betChoice", nullable=true, onDelete="CASCADE")
     * @Assert\Valid()
     */

    #[Assert\Count(min : 2)]
    #[Assert\Count(max : 3)]
    #[Assert\Valid]

    private Collection $betChoices;


    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $createdAt;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $color;

    public function __construct()
    {
        $this->betChoices = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getIsPublic(): ?bool
    {
        return $this->isPublic;
    }

    public function setIsPublic(bool $isPublic): self
    {
        $this->isPublic = $isPublic;

        return $this;
    }

    public function getStatus(): ?string
    {
        return $this->status;
    }

    public function setStatus(string $status): self
    {
        $this->status = $status;

        return $this;
    }

    public function getTotalStake(): ?string
    {
        return $this->totalStake;
    }

    public function setTotalStake(string $totalStake): self
    {
        $this->totalStake = $totalStake;

        return $this;
    }

    public function getIsSponsored(): ?bool
    {
        return $this->isSponsored;
    }

    public function setIsSponsored(bool $isSponsored): self
    {
        $this->isSponsored = $isSponsored;

        return $this;
    }

    public function getEventIdEvent(): ?Event
    {
        return $this->event_idEvent;
    }

    public function setEventIdEvent(?Event $event_idEvent): self
    {
        $this->event_idEvent = $event_idEvent;

        return $this;
    }

    public function getUserIdUserCreator(): ?User
    {
        return $this->user_idUser_creator;
    }

    public function setUserIdUserCreator(?User $user_idUser_creator): self
    {
        $this->user_idUser_creator = $user_idUser_creator;

        return $this;
    }

    public function getWinningChoice(): ?BetChoice
    {
        return $this->winningChoice;
    }

    public function setWinningChoice(?BetChoice $winningChoice): self
    {
        $this->winningChoice = $winningChoice;

        return $this;
    }

    /**
     * @var Collection<int, BetChoice>
     * @return Collection|BetChoice[]
     */
    public function getBetChoices(): Collection
    {
        return $this->betChoices;
    }

    public function addBetChoice(BetChoice $betChoice): self
    {
        if (!$this->betChoices->contains($betChoice)) {
            $this->betChoices[] = $betChoice;
            $betChoice->setBet($this);
        }

        return $this;
    }

    public function removeBetChoice(BetChoice $betChoice): self
    {
        if ($this->betChoices->removeElement($betChoice)) {
            // set the owning side to null (unless already changed)
            if ($betChoice->getBet() === $this) {
                $betChoice->setBet(null);
            }
        }

        return $this;
    }

    public function getCreatedAt(): ?\DateTime
    {
        return $this->createdAt;
    }

    public function setCreatedAt(?\DateTime $createdAt): self
    {
        $this->createdAt = $createdAt;

        return $this;
    }

    public function getColor(): ?string
    {
        return $this->color;
    }

    public function setColor(?string $color): self
    {
        $this->color = $color;

        return $this;
    }

}

src/Controller/AdminBetController.php
<?php

namespace App\Controller;


use App\Entity\Bet;
use App\Entity\Event;
use App\Entity\Category;
use App\Entity\User;
use App\Entity\BetChoice;
use App\Entity\Transaction;
use App\Form\BetType;
use App\Form\EventType;
use App\Form\BetChoiceType;
use App\Form\AdminResetFilterType;
use App\Form\AdminBetFilterType;
use App\Form\ModerationButtonValidate;
use App\Form\ModerationButtonRefuse;
use App\Form\AdminSetWinChoice;
use App\Form\CreateSponsoredBetType;
use App\Repository\BetChoiceRepository;
use App\Repository\BetRepository;
use App\Repository\EventRepository;
use App\Repository\CategoryRepository;
use App\Repository\UserRepository;
use App\Repository\BetChoiceHasUserRepository;
use Doctrine\DBAL\Types\TextType;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Symfony\Component\Mailer\MailerInterface;
use Symfony\Bridge\Twig\Mime\TemplatedEmail;
use Symfony\Component\Mime\Address;
use Symfony\Component\Serializer\Encoder\JsonEncode;
use App\Security\Voter\AdminVoter;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\IsGranted;

use function PHPUnit\Framework\isEmpty;

#[Route('/admin/bet')]

class AdminBetController extends AbstractController
{

    protected $faker;
    #[Route('/', name: 'admin_bet_index', methods: ['GET', 'POST'])]
    #[IsGranted('ROLE_ADMIN')]
    public function index(BetChoiceRepository $betChoices, BetRepository $bets, CategoryRepository $categories, EventRepository $events, UserRepository $users, Request $request ): Response
    {
        $formFilter = $this->createForm(AdminBetFilterType::class)->handleRequest($request);
        $formReset = $this->createForm(AdminResetFilterType::class)->handleRequest($request);

        if ($formFilter->isSubmitted()) {
            if($formFilter['status']->getData() == "VALIDÉ" || $formFilter['status']->getData() == "REFUSÉ" || $formFilter['status']->getData() == "EN COURS"){
                $data = $bets->findBy(
                    [
                        "status" => $formFilter['status']->getData()
                    ],
                    [
                        "createdAt" => "DESC"
                    ]

                );
            }
            elseif($formFilter['status']->getData() == "false"){
                $data = $bets->findBy(
                    [
                        "isPublic" => $formFilter['status']->getData()
                    ],
                    [
                        "createdAt" => "DESC"
                    ]
                );
            }
            elseif($formFilter['status']->getData() == "true"){
                $data = $bets->findBy(
                    [
                        "isSponsored" => $formFilter['status']->getData()
                    ],
                    [
                        "createdAt" => "DESC"
                    ]
                    );

            }
            else{
                $data = $bets->findBy([], ["createdAt" => "DESC"]);
            }
        }
        else{
            $data = $bets->findBy([], ["createdAt" => "DESC"]);
        }

        if ($formReset->isSubmitted()) {
            $data = $bets->findBy([], ["createdAt" => "DESC"]);
        }

        $allBets = $bets->findAll();
        $now = new \DateTime("now");
        
        foreach($allBets as $bet){
            $eventId = $bet->getEventIdEvent()->getId();
            $event = $events->findOneBy(["id"=>$eventId]);
            $eventDate = $event->getDate();

            if($now >= $eventDate){
                $event->setStatus("Terminé");
                $bet->setStatus("Terminé");
                $this->getDoctrine()->getManager()->flush();
            }
        }

        return $this->render('admin_bet/index.html.twig', [
            'bets' => $data,
            'betChoices' => $betChoices,
            'categories' => $categories,
            'events' => $events,
            'users' => $users,
            'formFilter' => $formFilter->createView(),
            'formReset' => $formReset->createView()

        ]);
    }


    #[Route('/new', name: 'admin_bet_new', methods: ['GET', 'POST'])]
    #[IsGranted('ROLE_ADMIN')]
    public function new(Request $request, EntityManagerInterface $entityManager, BetChoiceHasUserRepository $AsUser, EventRepository $eventRepository, BetRepository $betRepository, MailerInterface $mailer): Response
    {

        $bet = new Bet();
        $event = new Event();
        $user = new User();

        $form = $this->createForm(BetType::class, $bet)->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $bet->setCreatedAt(new \DateTime("now"));
            $bet->setUserIdUserCreator($this->getUser());
            $bet->setIsPublic($form['isPublic']->getData());
            $betChoicesList = $bet->getBetChoices();
            foreach ($betChoicesList as $betChoice){
                $betChoice->setRating("2");
            }

            if($form['isPublic']->getData() == false){
                $bet->setStatus("PRIVÉ");
            }
            
            if($form['event']->getData() != null){
                $event->setName($form['event']->getData());
                $event->setDescription($form['eventDescription']->getData());
                $event->setDate($form['eventDate']->getData());
                $event->setStatus("EN COURS");
                $this->getDoctrine()->getManager()->persist($event);
            }
            $this->getDoctrine()->getManager()->persist($bet);
            $this->getDoctrine()->getManager()->flush();
            $lastBet = $betRepository->findBy(array(),array('id'=>'DESC'),1,0); 
            $lastEvent = $eventRepository->findBy(array(),array('id'=>'DESC'),1,0);

            if($form['isPublic']->getData() == true){

                $message = (new TemplatedEmail())
                ->from(new Address('teachr.contact.pa@gmail.com', 'Anybet'))
                ->to('teachr.contact.pa@gmail.com')
                ->subject('Nouvelle demande de paris créee !')
                ->context([
                    'id' => $bet->getId()
                ])
                ->htmlTemplate('create_bet/mailNotifyAdmin.html.twig');

                $mailer->send($message);
            }

            if($lastBet[0]->getEventIdEvent() == null){

                $bet->setEventIdEvent($lastEvent[0]);
                $event->setCategoryIdCategory($form['categoryList']->getData());

                $this->getDoctrine()->getManager()->persist($bet);
                $this->getDoctrine()->getManager()->flush();

            }

            return $this->redirectToRoute("admin_bet_index");
        }

        

        return $this->render('admin_bet/new.html.twig', [
            'form' => $form->createView(),
        ]);
    }

    #[Route('/new-premium', name: 'admin_bet_new_premium', methods: ['GET', 'POST'])]
    #[IsGranted('ROLE_ADMIN')]
    public function newPremiumBet(Request $request, EntityManagerInterface $entityManager, BetChoiceHasUserRepository $asUser, EventRepository $eventRepository, BetRepository $betRepository, MailerInterface $mailer, CategoryRepository $categoryRepository): Response
    {

        $bet = new Bet();
        $event = new Event();
        $user = new User();

        $form = $this->createForm(CreateSponsoredBetType::class, $bet)->handleRequest($request);
        if ($form->isSubmitted() && $form->isValid()) {

            $bet->setCreatedAt(new \DateTime("now"));
            $bet->setUserIdUserCreator($this->getUser());
            $bet->setIsPublic(true);
            $bet->setIsSponsored(true);
            $bet->setColor($_POST["theme"]);
            $betChoicesList = $bet->getBetChoices();
            foreach ($betChoicesList as $betChoice){
                $betChoice->setRating("2");
            }

            
            if($form['event']->getData() != null){
                $event->setName($form['event']->getData());
                $event->setDescription($form['eventDescription']->getData());
                $event->setDate($form['eventDate']->getData());
                $event->setStatus("EN COURS");
                $this->getDoctrine()->getManager()->persist($event);
            }
            $this->getDoctrine()->getManager()->persist($bet);
            $this->getDoctrine()->getManager()->flush();
            $lastBet = $betRepository->findBy(array(),array('id'=>'DESC'),1,0); 
            $lastEvent = $eventRepository->findBy(array(),array('id'=>'DESC'),1,0);

            if($form['isPublic']->getData() == true){

                $message = (new TemplatedEmail())
                ->from(new Address('teachr.contact.pa@gmail.com', 'Anybet'))
                ->to('teachr.contact.pa@gmail.com')
                ->subject('Nouvelle demande de paris créee !')
                ->context([
                    'id' => $bet->getId()
                ])
                ->htmlTemplate('create_bet/mailNotifyAdmin.html.twig');

                $mailer->send($message);
            }

            if($lastBet[0]->getEventIdEvent() == null){

                $bet->setEventIdEvent($lastEvent[0]);
                $event->setCategoryIdCategory($form['categoryList']->getData());

                $this->getDoctrine()->getManager()->persist($bet);
                $this->getDoctrine()->getManager()->flush();

            }
            
            return $this->redirectToRoute("admin_bet_index");
        }

        return $this->render('admin_bet/new-premium.html.twig', [
            'form' => $form->createView(),
        ]);
    }


    #[Route('/{id}', name: 'admin_bet_show', methods: ['GET', 'POST'])]

templates/admin_bet/_betChoices.html.twig
{{ form_row(form.name) }}
<div class="form-group">
    <button type="button" class="btn btn-danger btn-remove">Supprimer</button>
</div>

templates/admin_bet/_delete_form.html.twig
<form method="post" action="{{ path('admin_bet_delete', {'id': bet.id}) }}" onsubmit="return confirm('Êtes-vous sûr de vouloir supprimer ce pari ?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ bet.id) }}">

    {% if  app.request.attributes.get('_route') == 'admin_bet_show'  %}
        <button class="button-delete" title="Supprimer"><i class="fa fa-trash" aria-hidden="true"></i></button>
    {% endif %}
        
    {% if app.request.attributes.get('_route') == 'admin_bet_edit' %}
        <button class="button-delete btn btn-danger" title="Supprimer">Supprimer</button>
    {% endif %}

</form>

templates/admin_bet/_form.html.twig
{% if  app.request.attributes.get('_route') == 'admin_bet_new'  %}

    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

{% endif %}

{{ form_widget(form._token) }}
    {% form_theme form.isPublic 'bootstrap_4_layout.html.twig' %}
        {{ form_errors(form) }}

        {{ form_row(form.isPublic) }}
        {{ form_row(form.name) }}

        
        <div style="display: none;" id="createEvent_betForm">
            {{ form_row(form.event) }}
            {{ form_row(form.eventDescription) }}
            {{ form_row(form.eventDate) }}
            {{ form_row(form.categoryList) }}
        </div>
       
        <div id="selectEvent_betForm">
            {{ form_row(form.event_idEvent) }}
        </div>
        

        
<button type="button" class="btn btn primary btn-new" data-collection="#betChoices"> Nouveau choix</button>
<div
        id="betChoices"
        data-prototype="{{ include("create_bet/_betChoices.html.twig", {form: form.betChoices.vars.prototype}) | e("html_attr") }}"
        data-index="{{ form.betChoices|length > 0 ? form.betChoices|last.vars.name + 1 : 0 }}">
    {% for betChoice in form.betChoices %}
        <div class="col-4">
            {{ include("create_bet/_betChoices.html.twig", {form: betChoice}) }}
        </div>

    {% endfor %}
</div>
{{ form_errors(form.betChoices) }}

templates/admin_bet/_formFilterBet.html.twig
{{ form_widget(formFilter._token) }}
    {{ form_errors(formFilter) }}
    {{ form_row(formFilter.status) }}

templates/admin_bet/_formModerationRefuse.html.twig
{{ form_widget(formRefuse._token) }}
    {{ form_errors(formRefuse) }}
    {{ form_row(formRefuse.status) }}

templates/admin_bet/_formModerationValidate.html.twig
{{ form_widget(formValidate._token) }}
    {{ form_errors(formValidate) }}
    {{ form_row(formValidate.status) }}

templates/admin_bet/_formPremium.html.twig
{% if  app.request.attributes.get('_route') == 'admin_bet_new_premium'  %}

    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

    {# <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous"> #}

{% endif %}

{{ form_widget(form._token) }}
    {{ form_errors(form) }}

    {{ form_row(form.name) }}

    
    <div style="display: none;" id="createEvent_betForm">
        {{ form_row(form.event) }}
        {{ form_row(form.eventDescription) }}
        {{ form_row(form.eventDate) }}
        {{ form_row(form.categoryList) }}
    </div>
    
    <div id="selectEvent_betForm">
        {{ form_row(form.event_idEvent) }}
    </div>
        

    <button type="button" class="btn btn primary btn-new" id="new-choice" data-collection="#betChoices"> Nouveau choix</button>

    <div
            id="betChoices"
            data-prototype="{{ include("create_bet/_betChoices.html.twig", {form: form.betChoices.vars.prototype}) | e("html_attr") }}"
            data-index="{{ form.betChoices|length > 0 ? form.betChoices|last.vars.name + 1 : 0 }}">
        {% for betChoice in form.betChoices %}
            <div class="col-4">
                {{ include("create_bet/_betChoices.html.twig", {form: betChoice}) }}
            </div>

        {% endfor %}
    </div>


{{ form_errors(form.betChoices) }}

<p>Choisissez un thème pour votre pari : </p>

<div class="theme_form_container_flex_1">
    <div>
        <input type="radio" id="default" class="radio-input" name="theme" value="#FFFFFF, #FFCC00, #FF0000, #838383" checked> 
        <label for="default" class="theme-label"><img src="{{ asset('img/default_theme.png') }}" class="img_theme_radio"/></label>
    </div>

    <div>
        <input type="radio" id="yellow" class="radio-input" name="theme" value="#FFD601, #000000, #FF0000, #838383">
        <label for="yellow" class="theme-label"><img src="{{ asset('img/yellow_theme.png') }}" class="img_theme_radio"/></label>
    </div>

    <div>
        <input type="radio" id="green" class="radio-input" name="theme" value="#147B45, #E9FFF3, #FFCC00, #FFFFFF">
        <label for="green" class="theme-label"><img src="{{ asset('img/green_theme.png') }}" class="img_theme_radio"/></label>
    </div>

    <div>
        <input type="radio" id="black" class="radio-input" name="theme" value="#000000, #FFCC00, #FFCC00, #838383">
        <label for="black" class="theme-label"><img src="{{ asset('img/black_theme.png') }}" class="img_theme_radio"/></label>
    </div>

    <div>
        <input type="radio" id="blue" class="radio-input" name="theme" value="#A9CEF4, #060363, #FF00B8, #060363">
        <label for="blue" class="theme-label"><img src="{{ asset('img/blue_theme.png') }}" class="img_theme_radio"/></label>
    </div>
</div>

templates/admin_bet/_formResetFilter.html.twig
{{ form_widget(formReset._token) }}
    {{ form_errors(formReset) }}
    {{ form_row(formReset.reset) }}

templates/admin_bet/_formSetWinChoice.html.twig
{{ form_widget(formWinChoice._token) }}
    {{ form_errors(formWinChoice) }}
    {{ form_row(formWinChoice.name) }}

templates/admin_bet/mailConfirmPublication.html.twig
<h1>Votre demande de paris à été validée !</h1>

<p>Bonjour {{ user }}, <br />
<br />
Votre demande de paris vient d'être validée par nos admins ! Votre paris intitulé "{{ bet }}" a été publié sur notre site. <br />
<br />

Bien à vous, <br />
L'équipe Anybet</p>

templates/admin_bet/mailConfirmRefuseBet.html.twig
<h1>Votre demande de paris à été refusée</h1>

<p>Bonjour {{ user }}, <br />
<br />
Votre demande de paris vient d'être refusée par nos admins. Votre paris intitulé "{{ bet }}" ne respecte pas nos critères de validation à savoir :</p>

<ul>
 <li>Pas d'obscénité</li>
 <li>Pas d'autopromotion</li>
 <li>Pas de pub</li>
 <li>Le paris ne doit pas déjà exister sur notre site</li>
</ul>

<p>Un de ces critères n'étant pas respecté, nous sommes dans l'obligation de refuser votre demande.</p><br />

<p>Bien à vous, <br />
L'équipe Anybet</p>

templates/admin_bet/show.html.twig
{% extends 'base_admin.html.twig' %}

{% block body %}

<title>bet</title>

    <h1 class="h1-categories-admin">Détail du pari</h1>

    <div class="container">
        <table id="table" class="table table-striped table-bordered" cellspacing="0">
            <tbody>
                <tr>
                    <th>Nom</th>
                    <th>Liste des Choix</th>
                    <th>Event</th>
                    <th>Mise Totale</th>
                    <th>Temps restant avant cloture</th>
                    <th>Date de l'évènement</th>
                    <th>Créé le</th>
                    <th>Créateur</th>
                    <th>Statut de la demande</th>
                    <th>Sponsorisé</th>
                    <th>Actions</th>

                </tr>
                <tr>
                    <td>{{ bet.name }}</td>

                    <td>
                        {% for betChoice in betChoices %}
                        <ul>
                            <li>{{ betChoice.name }}</li>
                        </ul>
                        {% endfor %}
                    </td>

                    <td>{{ bet.eventIdEvent.name }}</td>
                    <td>{{ bet.totalStake }}€</td>
                    <td>{{ elapsed }}</td>
                    <td>Le {{ event.date ? event.date|date('d-m-Y') : '' }} à  {{ event.date ? event.date|date('H:i:s') : '' }}</td>
                    <td>Le {{ bet.createdAt ? bet.createdAt|date('d-m-Y') : '' }} à  {{ bet.createdAt ? bet.createdAt|date('H:i:s') : '' }}</td>
                    <td>{{ user.firstname }} {{ user.lastname }}</td>
                    <td>{{ bet.status }}</td>
                    <td>
                        {% if bet.isSponsored == true %}
                            Sponsorisé
                        {% else %}
                            Non Sponsorisé
                        {% endif %}
                    </td>
                    <td style="display: flex; flex-direction: column; align-items: center; padding-top: 17px;">
                        <a href="{{ path('admin_bet_edit', {'id': bet.id}) }}"  class="link-edit-bet-show" title="Modifier"><i class="fa fa-pencil" aria-hidden="true"></i></a><br />
                            {{ include('admin_bet/_delete_form.html.twig') }}
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="admin-request-button">
        {% if bet.status == "EN COURS" %}
            
            <div>
                {{ form_start(formValidate, {'attr' : { 'id' : 'formValidate'}}) }}
                    {{ include("admin_bet/_formModerationValidate.html.twig", {formValidate: formValidate}) }}
                    <button class="admin-request-button-validate btn btn-success" id="btn-validate-request">Valider et publier</button>
                {{ form_end(formValidate) }}
            </div>
            <div>
                {{ form_start(formRefuse) }}
                    {{ include("admin_bet/_formModerationRefuse.html.twig", {formRefuse: formRefuse}) }}
                    <button class="admin-request-button-refuse btn btn-danger">Refuser la demande</button>
                {{form_end(formRefuse) }}
            </div>
        {% elseif bet.status == "VALIDÉ" %}
            <div class="admin-request-button">
                {{ form_start(formRefuse) }}
                    {{ include("admin_bet/_formModerationRefuse.html.twig", {formRefuse: formRefuse}) }}
                    <button class="admin-request-button-refuse btn btn-danger">Ne plus afficher sur le site</button>
                {{ form_end(formRefuse) }}
            </div>
        {% elseif bet.status == "REFUSÉ" %}
            <div class="admin-request-button">
                {{ form_start(formValidate) }}
                    {{ include("admin_bet/_formModerationValidate.html.twig", {formValidate: formValidate}) }}
                    <button class="admin-request-button-validate btn btn-success">Publier sur le site</button>
                {{ form_end(formValidate) }}
            </div>
        {% endif %}
    </div>

    <br />
    <br />
    <br />

    {% if isPublic == true %}
        <h2 class="h1-categories-admin">Déterminer le choix gagnant</h2>

        <br />
        <br />
        {{ form_start(formWinChoice) }}
            {{ include("admin_bet/_formSetWinChoice.html.twig", {formWinChoice: formWinChoice}) }}
            
            <br />
            <br />
            <button class="admin-request-button-validate btn btn-success">Soumettre</button>
        {{ form_end(formWinChoice) }}
    {% endif %}

 



    <a href="{{ path('admin_bet_index') }}" class="backToList"><i class="fa fa-arrow-left" aria-hidden="true"></i> Retour à liste des paris</a><br />

{% endblock %}